System Administration
cancel
Showing results for 
Search instead for 
Did you mean: 

lsof of 11.11 is giving some error on 11.00

youthsen
Occasional Advisor

lsof of 11.11 is giving some error on 11.00

Hi All,

 

I need to install lsof on HPUX 11.00...But I have installed lsof of 11.11 "lsof-4.84-hppa-11.11.depot" as I was not able to find the suitable version of 11.00.

 

Example:

 

1)# swlist lsof
# Initializing...
# Contacting target "ad002060"...
#
# Target:  ad002060:/
#

# lsof                  4.84           lsof
  lsof.lsof-RUN

2)#whereis lsof
lsof: /usr/local/bin/lsof /usr/local/man/man8/lsof.8

 

3)/usr/local/bin/lsof /appl
lsof: FATAL: pst_status_size should be: 1176; is 920
lsof: FATAL: pst_vminfo_size should be: 1240; is 1096
lsof: FATAL: pst_static doesn't contain pst_filedetails_size
lsof: FATAL: pst_static doesn't contain pst_socket_size
lsof: FATAL: pst_static doesn't contain pst_stream_size
lsof: FATAL: pst_static doesn't contain pst_mpathnode_size
lsof: FATAL: pst_static doesn't contain pst_fileinfo2_size

 

My Questions:

 

A)Can't we use lsof of 11.11 in 11.00? but I did not get any error while installing the depot..

 

B)Where I can get compatible lsof depot for 11.00?

 

C)How to solve the issue?

5 REPLIES
UVK
Trusted Contributor

Re: lsof of 11.11 is giving some error on 11.00

you need to install 11.00 binaries of lsof...let me try to find some binary source for you.

-------------------------------------------
Like it or worked !! Click kudos !!
Dennis Handly
Acclaimed Contributor

Re: lsof of 11.11 is giving some error on 11.00

>A) Can't we use lsof of 11.11 in 11.00? But I did not get any error while installing the depot..

 

Why would you expect that?  HP-UX is only forward compatible.

But you're right, they could have done a better job in SD packaging so you would know when you try to install.

UVK
Trusted Contributor

Re: lsof of 11.11 is giving some error on 11.00

try this link.

 

ftp://the.wiretapped.net/pub/security/host-security/lsof/binaries/hpux/B.11.00/vxfs/64/9000_800/

-------------------------------------------
Like it or worked !! Click kudos !!
youthsen
Occasional Advisor

Re: lsof of 11.11 is giving some error on 11.00

Hi UVK,

 

I am getting the error...Please find the attachment for more info....Could you please download and attach the file here...

Bill Hassell
Honored Contributor

Re: lsof of 11.11 is giving some error on 11.00

lsof is not portable between HP-UX versions as it is very dependent on kernel structures and libraries. 11.00 is very, very old but there is an archive site that can provide 11.00 and even 10.20 binaries:

 

http://hpux.ws/merijn/downloads.html

 

lsof 4.80 is available for 11.00.



Bill Hassell, sysadmin